_header(`X')
_bibliography(`
_bentr(`_link(`Cool, but obscure X11 tools', `http://cyber.dabamos.de/unix/x11/')')
_bentr(`_link(`Xorg', `https://wiki.archlinux.org/title/Xorg') (Arch Wiki)')
')
<P>
X is a graphical windowing system that can be used on _ref(`#linux'), FreeBSD, OpenBSD, _ref(`#netbsd'), and some proprietary operating systems as well.
X is not the only windowing system; _man(`twin(1)') exists for windowed multitasking within a framebuffer and Wayland is another windowing system intended to replace X.
</P>
<P>
Some Linux software distributions have included scripts to automatically fetch and install an X server.
_ref(`#alpine') has _package(`setup-xorg-base'), which adds the packages _package(`xorg-server'), _package(`xf86-input-libinput'), _package(`eudev'), and _package(`mesa'), and then enables the OpenRC services for udev.
</P>

_subheader(`Mail')
<P>
The (formerly Mozilla) Thunderbird mail suite is a popular though maximal choice.
Claws Mail is a nice mail reader with a somewhat similar interface to Thunderbird but, in my experience, easier to use.
</P>

_subheader(`Media')
<P>
_man(`mpv(1)') and _man(`vlc(1)') are good options.
</P>

_subheader(`Server')
_subsubheader(`X.org')
_bibliography(`
_bentr(`_link(`X.org', `https://www.X.org')')
_bentr(`_link(`X.Org Server', `https://en.wikipedia.org/wiki/X.Org_Server') (Wikipedia)')
')
<P>
The de-facto standard X server is X.org.
NetBSD uses X.org as the default system X server.
</P>
<P>
_ref(`#arch') Linux's package repositories have _link(`_package(`xorg')', `https://archlinux.org/groups/x86_64/xorg/'),
_link(`_package(`xorg-apps')', `https://archlinux.org/groups/x86_64/xorg-apps/'),
and _link(`_package(`xorg-drivers')', `https://archlinux.org/groups/x86_64/xorg-drivers/') package groups.
_ref(`#pkgsrc') has _package(`meta-pkgs/modular-xorg').
</P>
<H5>_code(`Failed to open /dev/input/event[_italic(`number')] (Permission denied)')</H5>
	<P>You need to be a part of the _italic(`input') group to use X.org.</P>
<H5>_code(`Failed to open /dev/tty[_italic(`number')] (Permission denied)')</H5>
	<P>You need to be a part of the _italic(`video') group to use X.org.</P>

_subheader(`Managing Clients')
<P>
It's possible to make X _man(`exec(3)') a window manager at the end of initialization to ease the creation, deletion, and manipulation of windows.
Contrary to what is now popular belief, window managers are not necessary (thought they're extremely convenient compared to the lack of them).
</P>
<H4>ctwm</H4>
_bibliography(`
_bentr(`_link(`Configurations for ctwm (and twm)', `https://datagubbe.se/twm/')')
')

_subheader(`WWW')
_subsubheader(`TOR Browser')
<P>
TOR Browser is available through pkgsrc at _package(`security/tor-browser').
</P>

_subheader(`xinit(1)')
<P>
_man(`startx(1)') is usually included with _man(`xinit(1)').
</P>
<P>
On _ref(`#alpine') Linux, _man(`xinit(1)') is provided by _package(`xinit').
On _ref(`#arch') Linux, _man(`xinit(1)') is provided by _link(`_package(`xorg-xinit')', `https://archlinux.org/packages/extra/x86_64/xorg-xinit/').
</P>
