_header(`Alpine')
<P>
Alpine Linux is a small Linux distribution based on musl libc.
Its main purpose is to serve as a server distribution, however many have found use for it as a desktop distribution.
</P>
_bibliography(`
_bentr(`<A HREF="https://pkgs.alpinelinux.org/contents">Alpine repositories content search</A>')
')
<H5>Bootstrapping</H5>
<P>
Alpine's bootstrapping procedure is quite manual; you should probably use _program(`setup-alpine').
However, it is possible and quite easy to perform the steps manually.
</P>
<UL>
<LI>Copy over the contents of _file(`/etc/apk/keys') to _file(`/mnt/etc/apk/keys')</LI>
<LI>
Add newline-delimited mirrors to _file(`/mnt/etc/apk/repositories'), such as these if you wish to use the _code(`edge') branch:
<PRE>
http://dl-cdn.alpinelinux.org/alpine/edge/main
http://dl-cdn.alpinelinux.org/alpine/edge/community
http://dl-cdn.alpinelinux.org/alpine/edge/testing
</PRE>
_code(`edge') may be replaced with a stable branch, the latest being _code(`v3.17') as of writing.
</LI>
<LI>
Run _command(`apk --root /mnt add --initdb alpine-base').
This is an ordinary _man(`apk-add(8)') call; you may wish to install necessities such as a kernel, firmware, and a bootloader at the same time.
</LI>
</UL>
<P>
Alpine does not have a _man(`chroot(1)') helper; you must manually do that with a one-liner such as
_code(`for i in dev proc sys; do mount -o bind "/$i" "/mnt/$i"; done; cp /etc/resolv.conf /mnt/etc/resolv.conf')
which you can chroot into.
</P>
<P>
After chrooting in, you must configure basics such as users, passwords, _man(`fstab(5)'), and the bootloader yourself.
</P>
<H5>Always install manual pages</H5>
<P>
Alpine doesn't include man pages in program packages to save on space, instead keeping them in _code(`[<I>package</I>]-doc') sibling packages.
To always install doc packages with program packages, _code(`apk add docs').
</P>

_subheader(`postmarketOS')
<P>
postmarketOS is an Alpine-based Linux software distribution that makes configuring and using Linux easy on mobile devices.
</P>
<H5>Random MAC address generation on Wifi</H5>
<P>
By default, postmarketOS will generate a random software MAC address when connecting to a new WLAN network.
You can disable this by adding a NetworkManager rule.
In _code(`/etc/NetworkManager/conf.d/') you can make a file with any name that has the following:
</P>
<PRE>
[device]
wifi.scan-rand-mac-address=no
</PRE>
<P>
On a live system you can then _code(`rc-service networkmanager restart') to restart NetworkManager and have it load the new configuration.
</P>
