_header(`Arch')
<P>
Arch is known for using the latest versions of programs, which has given it an undeserved reputation of instability.
</P>
_subheader(`Bootstrapping')
<P>
Use _man(`pacstrap(8)').
</P>
<P>
At a minimum you need the _code(`base') package.
Select a kernel and install the corresponding package; _code(`linux'), _code(`linux-lts'), or another Linux configuration or fork.
The Arch wiki says you need to install _code(`linux-firmware'), this isn't strictly necessary but it is recommended.
Install _code(`base-devel') if you plan on using the AUR or if you don't know what the AUR is yet.
</P>
<P>
It's also a good idea to install any utilities you'll need on the bootstrapped system.
Text editors, network managers or utilities, and other administration tools, for example.
Manual utilities such as _code(`man-db') and others would also be useful.
</P>
<H5>Ubiquitous packages missing</H5>
<P>From the annals of my notes, 2021-06-04:</P>
<PRE>
Had an issue with pacman missing some ubiquitous packages (esr's 'ascii', xorg-xev, etc).
This fixed it. I don't really know why - maybe some issues with my repos?
This was cleanly installed artix-openrc.

[5:46 PM] Bassman Leyla: So what I did is I went into /etc/pacman.d/mirrorlist-arch and uncommented a local mirror
[5:46 PM] Bassman Leyla: Then I appended a config block a package maintainer gave me onto /etc/pacman.conf
[5:46 PM] Bassman Leyla: I'll paste it in
[5:47 PM] Bassman Leyla:
'''
#
# ARCHLINUX
#

#[testing]
#Include = /etc/pacman.d/mirrorlist-arch

[extra]
Include = /etc/pacman.d/mirrorlist-arch

#[community-testing]
#Include = /etc/pacman.d/mirrorlist-arch

[community]
Include = /etc/pacman.d/mirrorlist-arch

#[multilib-testing]
#Include = /etc/pacman.d/mirrorlist-arch

#[multilib]
#Include = /etc/pacman.d/mirrorlist-arch
'''
</PRE>

_subheader(`Artix')
_bibliography(`
_bentr(`<A HREF="https://artixlinux.org/">Artix Linux</A>')
_bentr(`<A HREF="https://en.wikipedia.org/wiki/Artix_Linux">Artix Linux</A> (Wikipedia)')
')
<P>
Artix is a Linux software distribution based on Arch that doesn't mandate SystemD as its initialization system.
</P>
_subsubheader(`Bootstrapping')
<P>
This process differs from Arch's bootstrapping process.
Artix uses _man(`basestrap(8)') rather than _man(`pacstrap(8)');
you need to select the initialization you want to use: _code(`66'), _code(`dinit'), _code(`openrc'), _code(`runit'), or _code(`s6-base'), as a package separate from _code(`base');
and Artix's official wiki says you need to install the appropriate _link(`#logind', `_code(`elogind')') package (_code(`elogind-[<I>initialization system</I>]') e.g. _code(`elogind-66')) but like _code(`linux-firmware') though it is helpful it isn't strictly necessary.
</P>
