_header(`UNIX')
_bibliography(`
_bentr(`_link(`Rudd Canaday', `https://en.wikipedia.org/wiki/Rudd_Canaday') (Wikipedia)')
_bentr(`_link(`History and Timeline', `https://unix.org/what_is_unix/history_timeline.html')')
_bentr(`_link(`Douglas McIlroy', `https://en.wikipedia.org/wiki/Douglas_McIlroy') (Wikipedia)')
_bentr(`_link(`Joe Ossanna', `https://en.wikipedia.org/wiki/Joe_Ossanna') (Wikipedia)')
_bentr(`_link(`A Research Unix Reader', `https://www.cs.dartmouth.edu/~doug/reader.pdf')')
_bentr(`_link(`Dennis Ritchie', `https://en.wikipedia.org/wiki/Dennis_Ritchie') (Wikipedia)')
_bentr(`_link(`Ken Thompson', `https://en.wikipedia.org/wiki/Ken_Thompson') (Wikipedia)')
_bentr(`_link(`Unix', `https://en.wikipedia.org/wiki/Unix') (Wikipedia)')
_bentr(`_link(`unix-history-repo', `https://github.com/dspinellis/unix-history-repo') (GitHub)')
_bentr(`_link(`The UNIX Time-sharing System - A Retrospective', `https://web.archive.org/web/20080504013206/http://cm.bell-labs.com/cm/cs/who/dmr/retro.html')')
')
_passage(`Wikipedia', `<P>
Unix (/ˈjuːnɪks/; trademarked as UNIX) is a family of multitasking, multiuser computer operating systems that derive from the original AT&T Unix, whose development started in 1969 at the Bell Labs research center by Ken Thompson, Dennis Ritchie, and others.
</P>')

_subheader(`V1')
_bibliography(`
_bentr(`_link(`The Creation of the UNIX Operating System', `https://web.archive.org/web/20140402192351/http://www.bell-labs.com/history/unix/')')
_bentr(`_link(`The Evolution of the Unix Time-sharing System', `https://www.bell-labs.com/usr/dmr/www/hist.html')')
_bentr(`_link(`The History of Unix', `https://archive.org/details/byte-magazine-1983-08/page/n189/')')
_bentr(`_link(`In their own words: Unix pioneers remember the good times', `https://www.networkworld.com/article/2168942/in-their-own-words--unix-pioneers-remember-the-good-times.html')')
_bentr(`_link(`Interview with Brian Kernighan', `https://www.linuxjournal.com/article/7035')')
_bentr(`_link(`Interview with Ken Thompson, 9-6-89', `https://tuhs.v6sh.org/UnixArchiveMirror/Documentation/OralHistory/transcripts/thompson.htm')')
_bentr(`_link(`Myths about Multics', `https://www.multicians.org/myths.html')')
_bentr(`_link(`Preliminary Unix Implementation Document - June 1972', `http://www.bitsavers.org/pdf/bellLabs/unix/PreliminaryUnixImplementationDocument_Jun72.pdf')')
_bentr(`_link(`Unix and Beyond: An Interview with Ken Thompson', `http://cse.unl.edu/~witty/class/csce351/howto/ken_thompson.pdf')')
_bentr(`_link(`Unix History', `https://livinginternet.com/i/iw_unix_dev.htm')')
_bentr(`_link(`Unix and Multics', `https://www.multicians.org/unix.html')')
_bentr(`_link(`The Unix Oral History Project', `https://web.archive.org/web/20080919055843/http://www.princeton.edu:80/~mike/expotape.htm')')
_bentr(`<A HREF="http://www.bitsavers.org/pdf/bellLabs/unix/UNIX_ProgrammersManual_Nov71.pdf">UNIX Programmers Manual - November 1971</A>')
')
<P>
UNIX was an operating systems experiment started when Bell Labs started to leave the Multics project because most of their community felt Multics hadn't delivered what it promised,
its titular _italic(`mult')iplexed _italic(`i')nformation and _italic(`c')omputing _italic(`s')ervice.
The Bell Labs engineers working on Multics at the time (Ken Thompson, Dennis Ritchie, Malcolm Douglas McIlroy, and Joseph Frank Ossanna) had realized Multics' goal as a system but at an unsustainable cost,
so, reading the writing on the wall, they began working on a new operating system and unsuccessfully lobbying Bell Labs for their own computer on which to work.
Thompson, Rudd H. Canaday, and Ritchie developed a heirarchical file system and Thompson simulated it on Multics.
Thompson also developed _cite(`Space Travel'), first for Multics, then for another operating system where it ran poorly.
Hoping to be able to continue to work on _cite(`Space Travel'), which simulated the movements of the major cellestial bodies of the Solar System and allowed the player to roam in a starship among them, past Multics' demise at Bell Labs,
Thompson rewrote the game to run on a spare PDP-7 at Bell.
Having written so much code already to get the PDP-7 to work, Thompson started to work on other things for it; a file system, some utilities for it, a command interpreter, and an assembler.
Then, mid-1970, Brian Kernighan named the non-multiplexing Multics workalike _italic(`Unics'), which was somehow (see _cite(`Interview with Brian Kernighan')) bastardized into _italic(`Unix').
</P>
_passage(`History and Timeline', `1971; First Edition; It had a assembler for a PDP-11/20, file system, fork(), roff and ed. It was used for text processing of patent documents.')

_subheader(`V4')
_passage(`History and Timeline', 1973; Fourth Edition; It was rewritten in C. This made it portable and changed the history of OS's.)

_subheader(`V5')
_bibliography(`
_bentr(`_link(`The UNIX time-sharing system', `https://dl.acm.org/doi/10.1145/361011.361061')')
')
_passage(`Unix and Multics',
`<P>
There had been a highly regarded ACM SIGOPS sponsored conference on operating systems at Gatlinburg, Tennessee in 1967.
The fourth of these conferences was held in Yorktown Heights, NY in 1973, and Ken and Dennis gave a talk there, presenting Unix.
Several of us Multicians went to the conference, and sat with the Bell Labs ex-Multicians, and applauded the paper, which was and remains one of the best and clearest pieces of writing in the computer field.
There were some other great papers at that conference, but as I remember, the Unix paper won the best paper award. 
</P>'
<P>
I was working for MIT in those days`,' and one thing I did was to organize an MIT PDP-11 users' group and encourage them to look into Unix.
The idea of a free`,' non-vendor-supported operating system was new to them.
I invited Dennis Ritchie to come up and talk to them. 
</P>
<P>
We went to lunch afterward`,' and I remarked to Dennis that easily half the code I was writing in Multics was error recovery code.
He said`,' "We left all that stuff out. If there's an error`,' we have this routine called panic()`,' and when it is called`,' the machine crashes`,' and you holler down the hall`,' 'Hey`,' reboot it.'" 
</P>
)

_subheader(`V6')
_bibliography(`
_bentr(`_link(`Unix Sixth Edition root tree', `https://minnie.tuhs.org/cgi-bin/utree.pl?file=V6')')
')
